Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038809
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2018-06-21 17:462018-07-13 13:21
ReporterkchoperenaView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision5db22f6f31df
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038809: [SERQA 4195]: JS error when applying discount without amount

DescriptionThere are several errors related to the next flow:

Apply a discount in WebPOS, checking previously product line check
(https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=YS-11#retail.pointofsale [^])
Steps To Reproduce1.- Log into the WebPOS
2.- Create a new ticket
3.- Add a product
4.- Select previously added product line
5.- Click in DISCOUNT button
6.- Check the product line
7.- Select the discount disc_5_var_perc - 5%

EXPECTED RESULTS:

display JS Error ---- image: https://drive.google.com/open?id=13QqyFM6knuZqO26kyTbwcEnHUy5R4HDf [^]

video error:
https://drive.google.com/file/d/1YMy-bOZ1P2HY1Bn8DdENnAvtGGQKPIHY/view [^]
TagsNo tags attached.
Attached Files? file icon discounts_1.ogv [^] (3,786,147 bytes) 2018-07-12 11:10
? file icon discounts_2.ogv [^] (4,679,668 bytes) 2018-07-12 11:26

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105561)
migueldejuana (developer)
2018-07-03 17:45

If you select the discount and the you check the line, it works.
(0105577)
hgbot (developer)
2018-07-04 15:04

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5db22f6f31dfb88f093b12098d2348b3729100df
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Jul 02 16:53:45 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5db22f6f31dfb88f093b12098d2348b3729100df [^]

Fixed issue 38809: [SERQA 4195]: JS error when applying discount without amount

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ticketdiscount.js
---
(0105661)
migueldejuana (developer)
2018-07-06 13:08

1. The commit doesn't have a message explaining what was done.
2. Apply button get disabled and it mus be enabled:
  1.- Log into the WebPOS
  2.- Create a new ticket
  3.- Add a product
  4.- Select previously added product line
  5.- Click in DISCOUNT button
  6.- Check the product line
  7.- Select the discount disc_5_var_perc - 5%
  8.- ERROR! The Apply button is disabled!
(0105688)
hgbot (developer)
2018-07-09 18:47

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c44191956005d3951e9c2f01b129cbd40ac4e9be
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Fri Jul 06 15:25:23 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c44191956005d3951e9c2f01b129cbd40ac4e9be [^]

Related to issue 38809: [SERQA 4195]: JS error when applying discount without
amount

- Sometimes args.context.discounts is undefined but args.discountsContainer has
the corresponding discount, therefore now it is verified that
args.discountsContainer or args.discountsContainer.model is defined too

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ticketdiscount.js
---
(0105702)
hgbot (developer)
2018-07-11 15:11

Repository: tools/automation/pi-mobile
Changeset: 66cb45a121d312ce0ca5e616aef31bb3424e7ba5
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Wed Jul 04 11:22:02 2018 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/66cb45a121d312ce0ca5e616aef31bb3424e7ba5 [^]

Related to issue 38809: added automated test

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/discountsandpromotions/I38809_VerifyDiscountWithoutAmount.java
---
(0105711)
migueldejuana (developer)
2018-07-12 11:28

See discounts_1.ogv: We can press Apply button without selecting any discount.
See discounts_2.ogv: When previously a discount is choosen in the selector, if we allow to press apply button without any discount selected, the last discount is applied.

Play with the discount functionality and ensure that all is working fine. Add more lines, different discounts...
(0105717)
hgbot (developer)
2018-07-12 23:21

Repository: erp/pmods/org.openbravo.retail.discounts.category
Changeset: 889a8cd9da8f0c658e7008e27cab23eb62fc573e
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Jul 12 14:29:32 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.category/rev/889a8cd9da8f0c658e7008e27cab23eb62fc573e [^]

Related to issue 38809: [SERQA 4195]: JS error when applying discount without
amount

-Verified if disocuntList contect is diferent of OBPOS_LblReceiptDiscounts label
to enable or disable "Apply" button

---
M web/org.openbravo.retail.discounts.category/js/discountsButton.js
---
(0105740)
migueldejuana (developer)
2018-07-13 13:21

Tested and reviewed

- Issue History
Date Modified Username Field Change
2018-06-21 17:46 kchoperena New Issue
2018-06-21 17:46 kchoperena Assigned To => Retail
2018-06-21 17:46 kchoperena Triggers an Emergency Pack => No
2018-06-28 14:01 avicente Priority urgent => high
2018-06-28 14:01 avicente Severity critical => major
2018-06-30 00:46 rqueralta Assigned To Retail => rqueralta
2018-06-30 00:46 rqueralta Status new => scheduled
2018-07-03 17:43 migueldejuana Steps to Reproduce Updated View Revisions
2018-07-03 17:45 migueldejuana Note Added: 0105561
2018-07-04 15:04 hgbot Checkin
2018-07-04 15:04 hgbot Note Added: 0105577
2018-07-04 15:04 hgbot Status scheduled => resolved
2018-07-04 15:04 hgbot Resolution open => fixed
2018-07-04 15:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5db22f6f31dfb88f093b12098d2348b3729100df [^]
2018-07-06 13:08 migueldejuana Note Added: 0105661
2018-07-06 13:08 migueldejuana Status resolved => new
2018-07-06 13:08 migueldejuana Resolution fixed => open
2018-07-09 18:47 hgbot Checkin
2018-07-09 18:47 hgbot Note Added: 0105688
2018-07-09 20:17 rqueralta Status new => scheduled
2018-07-09 20:17 rqueralta Status scheduled => resolved
2018-07-09 20:17 rqueralta Resolution open => fixed
2018-07-11 15:11 hgbot Checkin
2018-07-11 15:11 hgbot Note Added: 0105702
2018-07-12 11:10 migueldejuana File Added: discounts_1.ogv
2018-07-12 11:26 migueldejuana File Added: discounts_2.ogv
2018-07-12 11:28 migueldejuana Note Added: 0105711
2018-07-12 11:28 migueldejuana Status resolved => new
2018-07-12 11:28 migueldejuana Resolution fixed => open
2018-07-12 23:21 hgbot Checkin
2018-07-12 23:21 hgbot Note Added: 0105717
2018-07-13 13:20 migueldejuana Status new => scheduled
2018-07-13 13:20 migueldejuana Status scheduled => resolved
2018-07-13 13:20 migueldejuana Resolution open => fixed
2018-07-13 13:21 migueldejuana Review Assigned To => migueldejuana
2018-07-13 13:21 migueldejuana Note Added: 0105740
2018-07-13 13:21 migueldejuana Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker